Plugin-Kompatibilität zu CMSimple_XH 1.7

Ein CMSimple Support Forum für deutsch sprechende Nutzer und Entwickler
cmb
Posts: 12882
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by cmb » Sat Dec 09, 2017 11:23 pm

Hartmut wrote:Test Plugin Recaptcha_XH Version: 2beta1 (von http://cmsimple-jp.org)
Hm, gibt es von dieser Variante eigentlich ein Release? Auf Github kann man den Quelltext herunter laden, und wohl auch verwenden, aber eine Versionierung wäre vermutlich hilfreich.
Hartmut wrote:Test Plugin Utf8migrator Version: 1 beta2
Hm, wird dieses Plugin denn noch gebraucht? Eigentlich sollten Websites bereits ab CMSimple_XH 1.2 auf UTF-8 umgestellt sein; ab CMSimple_XH 1.6 geht es gar nicht mehr anders. Wäre mir eigentlich lieb, wenn ich dieses Plugin auf dem Abstellgleis parken könnte.
Hartmut wrote:Test Plugin Webcamviewer Version: 1.0
[…]
Plugin Aufruf auf der Seite: Nicht getestet (aus der Dokumentation nicht ersichtlich wie das Plugin in der Seite eingebunden wird und in welchen Verzeichnis die Bilder liegen müssen.)
Plugin Aufruf im Template: Nicht getestet (aus der Dokumentation nicht ersichtlich wie das Plugin im Template eingebunden wird und in welchen Verzeichnis die Bilder liegen müssen.)
Tatsächlich ist die Bedienungsanleitung mangelhaft. Daher hier kurz erklärt: man bindet manuell oder per Editor/Filebrowser ein Bild ein, welches im Hintergrund von einem anderen Programm immer wieder aktualisiert wird. Das Bild muss keineswegs auf dem eigenen Server liegen. Zum Testen könnte man z.B. http://www.ingelheim.de/fileadmin/webca ... mepage.jpg verwenden. Diesem Bild (<img> Element) weist man dann die CSS-Klasse webcamviewer zu. Gemäß dem konfigurierten Intervall ruft dann der Browser das Bild periodisch ab, und zeigt dann jeweils den aktuellen Snapshot an.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Hartmut
Posts: 512
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Sun Dec 10, 2017 7:54 am

2. Test Plugin acDIVs Version: 1.4.3 mit dem XH 1.7 Workaround

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Ja, Acdivs 1.4.3
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Ja, mit Debu-Modus Meldungen
XH-DEPRECATED: Function initvar() is deprecated
C:\xampp\htdocs\plugins\acdivs\admin.php:29
XH-DEPRECATED: Function initvar() is deprecated
C:\xampp\htdocs\plugins\acdivs\admin.php:30
Plugin Stylesheet / Konfiguration / Sprache änderbar und speicherbar? => Ja
Plugin Aufruf auf der Seite: Funktioniert fehlerfrei
Plugin Aufruf im Template: Nicht getestet

Xampp-Fehlermeldungen: Nein
Debug-Meldung: Ja, dauerhaft:
XH-DEPRECATED: Function initvar() is deprecated
C:\xampp\htdocs\plugins\acdivs\admin.php:29
XH-DEPRECATED: Function initvar() is deprecated
C:\xampp\htdocs\plugins\acdivs\admin.php:30

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein* (Ja mit dem XH 1.7 Workaround, aber noch keine Plugin Version mit dem Bugfix vorhanden.)
PHP 7.0 Kompatibilität: Ja
PHP 7.1 Kompatibilität: Ja

Weitere Anmerkungen:
Diese Plugin Version ist mit einem funktionierenden Workaround für XH 1.7 im Downloadbereich (http://cmsimplexh.webdesign-keil.de/?Er ... oad&normal) verfügbar.

Hartmut
Posts: 512
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Sun Dec 10, 2017 8:09 am

cmb wrote:
Hartmut wrote:Test Plugin Recaptcha_XH Version: 2beta1 (von http://cmsimple-jp.org)
Hm, gibt es von dieser Variante eigentlich ein Release? Auf Github kann man den Quelltext herunter laden, und wohl auch verwenden, aber eine Versionierung wäre vermutlich hilfreich.
Mir ist kein Release bekannt und ich hatte mir die Master herunter geladen.
cmb wrote:
Hartmut wrote:Test Plugin Utf8migrator Version: 1 beta2
Hm, wird dieses Plugin denn noch gebraucht? Eigentlich sollten Websites bereits ab CMSimple_XH 1.2 auf UTF-8 umgestellt sein; ab CMSimple_XH 1.6 geht es gar nicht mehr anders. Wäre mir eigentlich lieb, wenn ich dieses Plugin auf dem Abstellgleis parken könnte.
Ich würde es zumindest unter XH 1.7 noch gern funktionsfähig zur Verfügung haben, da mir öfters noch CMSimple classic Installationen im WWW begegen und für ein Update auf XH hilfreich wäre.
cmb wrote:
Hartmut wrote:Test Plugin Webcamviewer Version: 1.0
[…]
Plugin Aufruf auf der Seite: Nicht getestet (aus der Dokumentation nicht ersichtlich wie das Plugin in der Seite eingebunden wird und in welchen Verzeichnis die Bilder liegen müssen.)
Plugin Aufruf im Template: Nicht getestet (aus der Dokumentation nicht ersichtlich wie das Plugin im Template eingebunden wird und in welchen Verzeichnis die Bilder liegen müssen.)
Tatsächlich ist die Bedienungsanleitung mangelhaft. Daher hier kurz erklärt: man bindet manuell oder per Editor/Filebrowser ein Bild ein, welches im Hintergrund von einem anderen Programm immer wieder aktualisiert wird. Das Bild muss keineswegs auf dem eigenen Server liegen. Zum Testen könnte man z.B. http://www.ingelheim.de/fileadmin/webca ... mepage.jpg verwenden. Diesem Bild (<img> Element) weist man dann die CSS-Klasse webcamviewer zu. Gemäß dem konfigurierten Intervall ruft dann der Browser das Bild periodisch ab, und zeigt dann jeweils den aktuellen Snapshot an.
Danke für die Infos. :-)
Da ich schon als "erfahrener Anwender" gerätselt hatte wie ich ein WebCam Bild einbinden kann, würde ein neuer CMSimple_XH Anwender es gleich wieder löschen.
Das Thema Plugin Dokumentation hatten wir vor kurzem erst hier im Forum gehabt.

Viele Grüße
Hartmut

Hartmut
Posts: 512
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Sun Dec 10, 2017 12:18 pm

Test Plugin Coco Version: 1.0

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Coco 1.0
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Ja
Plugin Stylesheet / Konfiguration / Sprache änderbar und speicherbar? => Ja
Plugin Aufruf im Template (Newsbox): Fehlerbeschreibung =>
Plugin Aufruf ins Template eingebaut => Browses Refresh: unvollständige Anzeige der Webseite (Linke Spalte bis Plugin Aufruf, kein Content, kein Admin-Menü, kein Footer)
Plugin Aufruf aus dem Template entfernt => Browses Refresh: vollständige Anzeige der Webseite und Admin-Menü wieder sichtbar.

Xampp-Fehlermeldungen: Ja
[10-Dec-2017 12:56:57 Europe/Berlin] PHP Fatal error: Uncaught Error: Call to undefined function XH_getStreamContents() in C:\xampp\htdocs\plugins\coco\index.php:147
Stack trace:
#0 C:\xampp\htdocs\plugins\coco\index.php(283): Coco_readFile('./plugins/coco/...')
#1 C:\xampp\htdocs\plugins\coco\index.php(448): Coco_get('mein_content', 2)
#2 C:\xampp\htdocs\templates\fhs-simple\template.htm(76): coco('mein_content')
#3 C:\xampp\htdocs\cmsimple\cms.php(1344): include('C:\\xampp\\htdocs...')
#4 C:\xampp\htdocs\index.php(6): include('C:\\xampp\\htdocs...')
#5 {main}
thrown in C:\xampp\htdocs\plugins\coco\index.php on line 147
[10-Dec-2017 12:57:06 Europe/Berlin] PHP Fatal error: Uncaught Error: Call to undefined function XH_getStreamContents() in C:\xampp\htdocs\plugins\coco\index.php:147
Stack trace:
#0 C:\xampp\htdocs\plugins\coco\index.php(283): Coco_readFile('./plugins/coco/...')
#1 C:\xampp\htdocs\plugins\coco\index.php(448): Coco_get('mein_content', 5)
#2 C:\xampp\htdocs\templates\fhs-simple\template.htm(76): coco('mein_content')
#3 C:\xampp\htdocs\cmsimple\cms.php(1344): include('C:\\xampp\\htdocs...')
#4 C:\xampp\htdocs\index.php(6): include('C:\\xampp\\htdocs...')
#5 {main}
thrown in C:\xampp\htdocs\plugins\coco\index.php on line 147
[10-Dec-2017 12:57:10 Europe/Berlin] PHP Fatal error: Uncaught Error: Call to undefined function XH_getStreamContents() in C:\xampp\htdocs\plugins\coco\index.php:147
Stack trace:
#0 C:\xampp\htdocs\plugins\coco\index.php(283): Coco_readFile('./plugins/coco/...')
#1 C:\xampp\htdocs\plugins\coco\index.php(448): Coco_get('mein_content', 0)
#2 C:\xampp\htdocs\templates\fhs-simple\template.htm(76): coco('mein_content')
#3 C:\xampp\htdocs\cmsimple\cms.php(1344): include('C:\\xampp\\htdocs...')
#4 C:\xampp\htdocs\index.php(6): include('C:\\xampp\\htdocs...')
#5 {main}
thrown in C:\xampp\htdocs\plugins\coco\index.php on line 147
[10-Dec-2017 12:59:26 Europe/Berlin] PHP Fatal error: Uncaught Error: Call to undefined function XH_getStreamContents() in C:\xampp\htdocs\plugins\coco\index.php:147
Stack trace:
#0 C:\xampp\htdocs\plugins\coco\index.php(283): Coco_readFile('./plugins/coco/...')
#1 C:\xampp\htdocs\plugins\coco\index.php(448): Coco_get('mein_content', 0)
#2 C:\xampp\htdocs\templates\fhs-simple\template.htm(76): coco('mein_content')
#3 C:\xampp\htdocs\cmsimple\cms.php(1344): include('C:\\xampp\\htdocs...')
#4 C:\xampp\htdocs\index.php(6): include('C:\\xampp\\htdocs...')
#5 {main}
thrown in C:\xampp\htdocs\plugins\coco\index.php on line 147

Debug-Meldung: Nein

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein
PHP 7.0 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)
PHP 7.1 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)

lck
Posts: 1361
Joined: Wed Mar 23, 2011 11:43 am
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by lck » Sun Dec 10, 2017 1:52 pm

Hartmut wrote:Test Plugin Speedmon Version: 1alpha2
...
Plugin im Admin-Menü aufrufbar? => Nein
speedMon hat keine Administration, ausserdem ist mir die Anwendung und der Nutzen nicht ganz klar :? . Siehe auch [New] Plugin speedMon_XH.
„Bevor du den Pfeil der Wahrheit abschießt, tauche die Spitze in Honig!“   👉 Ludwig's XH-Templates for MultiPage & OnePage

cmb
Posts: 12882
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by cmb » Sun Dec 10, 2017 2:38 pm

lck wrote:speedMon hat keine Administration, ausserdem ist mir die Anwendung und der Nutzen nicht ganz klar :? . Siehe auch [New] Plugin speedMon_XH.
Mit speedMon_XH kann man die Performance von Code-Fragmenten messen, auch wenn keine besonderen Profiler-Tools verfügbar sind.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Hartmut
Posts: 512
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Sun Dec 10, 2017 4:01 pm

Test Plugin Keymaster_XH Version: 1.0.1 mit dem XH 1.7 Workaround

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Keymaster 1.0.1
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Ja
Plugin Stylesheet / Konfiguration / Sprache änderbar und speicherbar? => Ja
Plugin Funktion: Nicht getestet

Xampp-Fehlermeldungen: Nein
Debug-Meldung: Ja
Nach dem Login in den Admin-Bereich:
DEPRECATED: Methods with the same name as their class will not be constructors in a future version of PHP; Keymaster_Keyfile has a deprecated constructor
C:\xampp\htdocs\plugins\keymaster\classes\Keyfile.php:27
DEPRECATED: Methods with the same name as their class will not be constructors in a future version of PHP; Keymaster_Model has a deprecated constructor
C:\xampp\htdocs\plugins\keymaster\classes\Model.php:25
DEPRECATED: Methods with the same name as their class will not be constructors in a future version of PHP; Keymaster_Views has a deprecated constructor
C:\xampp\htdocs\plugins\keymaster\classes\Views.php:25
DEPRECATED: Methods with the same name as their class will not be constructors in a future version of PHP; Keymaster_Controller has a deprecated constructor
C:\xampp\htdocs\plugins\keymaster\classes\Controller.php:25

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein* (Ja mit dem XH 1.7 Workaround, aber noch keine Plugin Version mit dem Bugfix vorhanden.)
PHP 7.0 Kompatibilität: Ja
PHP 7.1 Kompatibilität: Ja

Hartmut
Posts: 512
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Sun Dec 10, 2017 8:16 pm

Download von nicht XH 1.7 kompatiblen Plugins mit vorhandenen XH 1.7 Workaround.

Damit CMSimple_XH Anwender in ein nicht XH 1.7 kompatibles Plugin einem vorhandenen XH 1.7 Workaround selbst manuell "hineinbasteln" müssen, habe ich dies bei einigen Plugins gemacht und biete diese modifizierten Plugin Versionen auf "CMSimple_XH Dokumentation" => "Erweiterungen - Plugins und anderes" als "temporäre Zwischenversion" zum Download an.
Diese "temporäre Zwischenversionen" beinhalten die aktuell veröffentliche Plugin Version des Entwicklers, den eingearbeiteten XH 1.7 Workaround und eine kleine Info-Datei mit den durchgeführten Änderungen. Wenn der Entwickler eine neue Plugin Version veröffentlicht, wird dies durch die CMSimple_XH Versionsprüfung wie gehabt angezeigt.
Da es noch weitere, gleichgeartete Plugins gibt, sind Freiwillige zur Unterstützung willkommen.

Viele Grüße
Hartmut

Hartmut
Posts: 512
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Sat Dec 16, 2017 4:10 pm

Test Plugin Pictures Version: 1.0.2 mit dem XH 1.7 Workaround

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Pictures 1.0.2
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Ja
Plugin Stylesheet / Konfiguration änderbar und speicherbar? => Ja
Plugin Sprache änderbar und speicherbar? => nach "speichern": "white Screen" + Fehlermeldung xamp:
[16-Dec-2017 10:39:49 Europe/Berlin] PHP Parse error: syntax error, unexpected 'm' (T_STRING), expecting ']' in C:\xampp\htdocs\plugins\pictures\languages\de.php on line 26
[16-Dec-2017 10:39:53 Europe/Berlin] PHP Parse error: syntax error, unexpected 'm' (T_STRING), expecting ']' in C:\xampp\htdocs\plugins\pictures\languages\de.php on line 26
[16-Dec-2017 10:41:10 Europe/Berlin] PHP Parse error: syntax error, unexpected 'm' (T_STRING), expecting ']' in C:\xampp\htdocs\plugins\pictures\languages\de.php on line 26
[16-Dec-2017 10:41:12 Europe/Berlin] PHP Parse error: syntax error, unexpected 'm' (T_STRING), expecting ']' in C:\xampp\htdocs\plugins\pictures\languages\de.php on line 26
Plugin Aufruf auf der Seite: Funktioniert fehlerfrei
Plugin Aufruf im Template: Nicht getestet

Xampp-Fehlermeldungen: Ja, beim speichern von de.php
Debug-Meldung: Ja, solange das Plugin im Backend angesehen wird:
XH-DEPRECATED: Function initvar() is deprecated
C:\xampp\htdocs\plugins\pictures\admin.php:47

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein* (Ja mit dem XH 1.7 Workaround, aber noch keine Plugin Version mit dem Bugfix vorhanden.)
PHP 7.0 Kompatibilität: Ja
PHP 7.1 Kompatibilität: Ja
Weitere Anmerkungen:
Beim speichern der Sprachdatei: "white Screen" + xamp Fehlermeldung

Hartmut
Posts: 512
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Sat Dec 16, 2017 8:47 pm

Test Plugin News Version: 1.1.1 mit dem XH 1.7 Workaround

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => News 1.1.1
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Ja
Plugin Stylesheet / Konfiguration änderbar und speicherbar? => Ja
Plugin Sprache änderbar und speicherbar? => nach "speichern": "white Screen" + Fehlermeldung xamp:
[16-Dec-2017 21:00:44 Europe/Berlin] PHP Parse error: syntax error, unexpected 'm' (T_STRING), expecting ']' in C:\xampp\htdocs\plugins\news\languages\de.php on line 24
[16-Dec-2017 21:00:49 Europe/Berlin] PHP Parse error: syntax error, unexpected 'm' (T_STRING), expecting ']' in C:\xampp\htdocs\plugins\news\languages\de.php on line 24

Plugin Aufruf auf der Seite: Funktioniert fehlerfrei
Plugin Aufruf im Template: Nicht getestet

Xampp-Fehlermeldungen: Ja, beim speichern der Sprachdatei
Debug-Meldung: Nein

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein* (Ja mit dem XH 1.7 Workaround, aber noch keine Plugin Version mit dem Bugfix vorhanden.)
PHP 7.0 Kompatibilität: Ja
PHP 7.1 Kompatibilität: Ja

Post Reply